CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
TabbedContentUI Class Reference

Class to provide a user interface for displaying content in a tabbed format. More...

## Public Member Functions
| BeginTab ($TabLabel)
| Begin content for tab. More...
| EndTab ()
| End current tab. More...
| ActiveTab ($NewValue=NULL)
| Get/set tab to be active (i.e. More...
| Display ($Id="cw-tabs")
| Output HTML for tabbed content. More...

## Detailed Description

Class to provide a user interface for displaying content in a tabbed format.

Definition at line 13 of file TabbedContentUI.php.

## Member Function Documentation

TabbedContentUI::ActiveTab | ( |  | $NewValue = `NULL` | ) |

Get/set tab to be active (i.e.

initially displayed). If this is not called, the first tab will be active by default.

Parameters

  string | $NewValue | Name of tab to be made active. (OPTIONAL)

Definition at line 86 of file TabbedContentUI.php.

Referenced by BeginTab(), and Display().

Here is the caller graph for this function:

TabbedContentUI::BeginTab | ( |  | $TabLabel | ) |

Begin content for tab.

After this is called, all content being output will be captured for the current tab, until either EndTab() or Display() are called.

Parameters

  string | $TabLabel | Name to display on tab.

Exceptions

  InvalidArgumentException | If specified tab name is a duplicate.
  InvalidArgumentException | If tab has already been started with specified name.

Definition at line 26 of file TabbedContentUI.php.

References ActiveTab(), and EndTab().

TabbedContentUI::Display | ( |  | $Id = `"cw-tabs"` | ) |

Output HTML for tabbed content.

Parameters

  string | $Id | CSS ID for tabs. (OPTIONAL, defaults to "cw-tabs")

Exceptions

  Exception | If the active tab setting does not match any existing tab.

Definition at line 100 of file TabbedContentUI.php.

References ActiveTab(), EndTab(), ApplicationFramework\ORDER_FIRST, and PHP.

TabbedContentUI::EndTab | ( |  | ) |

End current tab.

This is optional, as both BeginTab() and Display() will end the current tab before starting a new one or displaying the tabbed content, respectively. It would normally only be called when there is a need to output other content while building tabbed content.

Exceptions

  Exception | If no tab is currently started.

Definition at line 65 of file TabbedContentUI.php.

Referenced by BeginTab(), and Display().

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- interface/default/objects/TabbedContentUI.php